PLDAPSession::BinaryModAttrib Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPSession::BinaryModAttrib:

## Public Member Functions

| BinaryModAttrib (const PString &name, Operation op=Add)
| BinaryModAttrib (const PString &name, const PBYTEArray &value, Operation op=Add)
| BinaryModAttrib (const PString &name, const PArray< PBYTEArray > &values, Operation op=Add)
void | SetValue (const PBYTEArray &value)
void | AddValue (const PBYTEArray &value)
Public Member Functions inherited from PLDAPSession::ModAttrib
const PString & | GetName () const
Operation | GetOperation () const
void | SetLDAPMod (struct ldapmod &mod, Operation defaultOp)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

virtual PBoolean | IsBinary () const
virtual void | SetLDAPModVars (struct ldapmod &mod)
Protected Member Functions inherited from PLDAPSession::ModAttrib
| ModAttrib (const PString &name, Operation op=NumOperations)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PArray< PBYTEArray > | values
PBaseArray< struct berval * > | pointers
PBYTEArray | bervals
Protected Attributes inherited from PLDAPSession::ModAttrib
PString | name
Operation | op

## Additional Inherited Members

Public Types inherited from PLDAPSession::ModAttrib
enum | Operation { Add, Replace, Delete, NumOperations }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...

## Constructor & Destructor Documentation

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | Operation | op = `Add`
| ) |  |

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | const PBYTEArray & | value,
|  | Operation | op = `Add`
| ) |  |

PLDAPSession::BinaryModAttrib::BinaryModAttrib | ( | const PString & | name,
|  | const PArray< PBYTEArray > & | values,
|  | Operation | op = `Add`
| ) |  |

## Member Function Documentation

void PLDAPSession::BinaryModAttrib::AddValue | ( | const PBYTEArray & | value | ) |

virtual PBoolean PLDAPSession::BinaryModAttrib::IsBinary | ( |  | ) | const

protected virtual

Implements PLDAPSession::ModAttrib.

virtual void PLDAPSession::BinaryModAttrib::SetLDAPModVars | ( | struct ldapmod & | mod | ) |

protected virtual

Implements PLDAPSession::ModAttrib.

void PLDAPSession::BinaryModAttrib::SetValue | ( | const PBYTEArray & | value | ) |

## Member Data Documentation

PBYTEArray PLDAPSession::BinaryModAttrib::bervals

protected

PBaseArray<struct berval *> PLDAPSession::BinaryModAttrib::pointers

protected

PArray<PBYTEArray> PLDAPSession::BinaryModAttrib::values

protected

The documentation for this class was generated from the following file:

- pldap.h